
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; MODULE      : octave.scm
;; DESCRIPTION : Special support for octave
;; COPYRIGHT   : (C) 1999  Joris van der Hoeven
;;
;; This software falls under the GNU general public license and comes WITHOUT
;; ANY WARRANTY WHATSOEVER. See the file $TEXMACS_PATH/LICENSE for details.
;; If you don't have this file, write to the Free Software Foundation, Inc.,
;; 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Specific conversion routines
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(define (octave-input-var-row r)
  (if (not (null? r))
      (begin
	(display ", ")
	(cas-input (car r))
	(octave-input-var-row (cdr r)))))

(define (octave-input-row r)
  (display "[")
  (cas-input (car r))
  (octave-input-var-row (cdr r))
  (display "]"))

(define (octave-input-var-rows t)
  (if (not (null? t))
      (begin
	(display ", ")
	(octave-input-row (car t))
	(octave-input-var-rows (cdr t)))))

(define (octave-input-rows t)
  (display "matrix(")
  (octave-input-row (car t))
  (octave-input-var-rows (cdr t))
  (display ")"))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; Initialization
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(connection-declare "octave" "octave --texmacs")
(connection-format "octave" "verbatim" "generic")
(set! session-menu (menu-merge session-menu
  '(("Octave" (make-session "octave" "default")))))
    
(define (in-octave?) (equal? (get-env "prog language") "octave"))
(cas-supports-math-input-set! "octave")

(set! cas-input-current-cas "octave")
(cas-input-set! 'rows octave-input-rows)
(display "")
